<?php
//Incluimos conexion a la base de trader_cdlrisefall3methods
require "../config/Conexion.php";

Class Apertura
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
      public function insertar($fecha_apertura,$monto_apertura,$idcaja) {

      $sql_caja = "SELECT * FROM caja WHERE idcaja = '$idcaja'";
      $resultado = ejecutarConsultaSimpleFila($sql_caja);
      $estado_caja = $resultado['estado'];

      if($estado_caja == 1){
         
        $sql_update="UPDATE caja SET estado='2' WHERE idcaja='$idcaja'";
        ejecutarConsulta($sql_update);

        $sql = "INSERT INTO movimiento_caja (idcaja, monto_apertura, monto_efectivo, monto_deposito, estado_caja, condicion, idcierre, nrocorrelativo, fecha_apertura) 
        VALUES ('$idcaja', '$monto_apertura', '0', '0', '1', '1', '0','0','$fecha_apertura')";
        return ejecutarConsulta($sql) ? "Apertura Caja Registrado" : "Error al registrar la apertura de caja.";


      }else{
        return "La Caja ya esta Abierta!!";
      }
        
    }

    // Método para editar
    public function editar($idcaja, $descripcion,$idusuario) {
        $sql = "UPDATE caja SET 
                descripcion = '$descripcion', 
                idusuario = '$idusuario'                 
                WHERE idcaja = '$idcaja'";
        return ejecutarConsulta($sql);
    }

    public function listar($idcaja)
    {
      $sql="SELECT  m.fecha_apertura,m.monto_apertura,u.nombre as usuario,c.descripcion as caja FROM movimiento_caja m 
           JOIN caja c ON c.idcaja=m.idcaja
           JOIN usuario u ON u.idusuario=c.idusuario 
           WHERE m.idcaja='$idcaja' and m.estado_caja='1'  ";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idcaja)
    {
      $sql="SELECT * FROM caja where idcaja='$idcaja'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idcaja)
    {
      $sql="DELETE FROM caja where idcaja='$idcaja'";
      return ejecutarConsulta($sql);
    }

    

  }

 ?>